Upload Enterprise Workspace Logo
curl --request POST \
--url https://api.ontora.com/v1/ontora-staff/enterprise-sso/workspaces/{workspace_id}/logo \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form file='@example-file'import requests
url = "https://api.ontora.com/v1/ontora-staff/enterprise-sso/workspaces/{workspace_id}/logo"
files = { "file": ("example-file", open("example-file", "rb")) }
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, files=files, headers=headers)
print(response.text)const form = new FormData();
form.append('file', '<string>');
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
options.body = form;
fetch('https://api.ontora.com/v1/ontora-staff/enterprise-sso/workspaces/{workspace_id}/logo', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"slug": "<string>",
"image_url": "<string>",
"has_image": true
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}ontora-staff
Upload Enterprise Workspace Logo
Set the customer workspace’s logo on its Clerk organization.
The uploaded image replaces any existing logo and shows up wherever the workspace’s organization image is rendered (sidebar, member views).
POST
/
v1
/
ontora-staff
/
enterprise-sso
/
workspaces
/
{workspace_id}
/
logo
Upload Enterprise Workspace Logo
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
multipart/form-data
Was this page helpful?
⌘I